<?php
/**
 * Plugin Name:       My BMI Calculator
 * Description:       A Simple BMI calculator that you can add anywhere
 * Version:           1.1.1
 * Author:            Satendra Singh
 * Author URI:        http://www.satendragangwar.com/
 * 
 */

class BMICalculatorPlugin {
	

	public function __construct() {
		add_action('wp_enqueue_scripts', array($this, 'enqueue'));

	}

	public function enqueue() {
		wp_enqueue_style('my-bmi-calculator-styles', plugin_dir_url(__FILE__).'my-bmi-calculator.css');
		wp_enqueue_script('my-bmi-calculator-scripts', plugin_dir_url(__FILE__).'my-bmi-calculator.js', array('jquery'));
	}

	public function processShortcode($attrs) {
		$metricText = empty($attrs['metric']) ? 'Metric' : $attrs['metric'];
		$imperialText = empty($attrs['imperial']) ? 'Imperial' : $attrs['imperial'];
		$heightText = empty($attrs['height']) ? 'Height' : $attrs['height'];
		$weightText = empty($attrs['weight']) ? 'Weight' : $attrs['weight'];
		$heightPlaceholder = empty($attrs['heightPlaceholder']) ? 'Height' : $attrs['heightPlaceholder'];
		$weightPlaceholder = empty($attrs['weightPlaceholder']) ? 'Weight' : $attrs['weightPlaceholder'];
		$submitText = empty($attrs['submit']) ? 'Submit' : $attrs['submit'];
		$theme = empty($attrs['theme']) ? 'default' : $attrs['theme'];
		$resultText = empty($attrs['result']) ? 'BMI : %bmi% <br/>Under Weight' : $attrs['result'];
		$resultText = str_replace('%bmi%', '<span class="bmi-number"></span>', $resultText);
		$resultText2 = empty($attrs['result2']) ? 'BMI : %bmi% <br/>Normal'  : $attrs['result2'];
		$resultText2 = str_replace('%bmi%', '<span class="bmi-number2"></span>', $resultText2);
		$resultText3 = empty($attrs['result3']) ? 'BMI : %bmi%  <br/>Over Weight' : $attrs['result3'];
		$resultText3 = str_replace('%bmi%', '<span class="bmi-number3"></span>', $resultText3);
		$imgURI = plugin_dir_url(__FILE__).'Underweight.png';
		$imgURI2 = plugin_dir_url(__FILE__).'Normal.png';
		$imgURI3 = plugin_dir_url(__FILE__).'Overweight.png';
		$out = <<<HEREDOC
<center><form class="form bmi-form bmi-form-$theme">
	<div>
		<div class="bmi-section bmi-section-units">
			<label class="label label-radio bmi-label-unit">
				<input name="unit" type="radio" value="metric" class="input input-radio bmi-unit" checked>
				<span>$metricText</span>
			</label>
			<label class="label label-radio bmi-label-unit">
				<input name="unit" type="radio" value="imperial" class="input input-radio bmi-unit">
				<span>$imperialText</span>
			</label>
		</div>

		<div class="bmi-section bmi-section-metric">
			<label class="label label-text bmi-height-label">
				<span>$heightText</span>
				<input name="heightCm" type="number" min="0" required class="input input-text bmi-height" placeholder="$heightPlaceholder (cm)">
			</label>
			<label class="label label-text bmi-weight-label">
				<span>$weightText</span>
				<input name="weightKg" type="number" min="0" required class="input input-text bmi-weight" placeholder="$weightPlaceholder (kg)">
			</label>
		</div>

		<div class="bmi-section bmi-section-imperial" style="display:none">
			<label class="label label-text bmi-height-label">
				<span>$heightText</span>
				<input name="heightFt" type="number" min="0" class="input input-text bmi-height ft" placeholder="ft"><input name="heightIn" type="number" min="0" class="input input-text bmi-height inch" placeholder="inch">
			</label>
			<label class="label label-text bmi-weight-label">
				<span>$weightText</span>
				<input name="weightLb" type="number" min="0" class="input input-text bmi-weight" placeholder="$weightPlaceholder (lb)">
			</label>
		</div>

		<div class="bmi-section bmi-section-submit">
			<input type="submit" value="$submitText" class="btn bmi-submit">
		</div>

		<div class="bmi-result" id = "bmi-result">
			<p class="bmi-result-text">
				<img src="$imgURI" /><br/>
				$resultText
			</p>
		</div>
		<div class="bmi-result2" id = "bmi-result2">
			<p class="bmi-result-text2">
				<img src="$imgURI2" /><br/>
				$resultText2
			</p>
		</div>
		<div class="bmi-result3" id = "bmi-result3">
			<p class="bmi-result-text3">
				<img src="$imgURI3" /><br/>
				$resultText3
			</p>
		</div>
		

	</div>
</form></center>
HEREDOC;

		return $out;
	}
}

$bmiCalculatorPlugin = new BMICalculatorPlugin();

add_shortcode('bmi', array($bmiCalculatorPlugin, 'processShortcode'));
